org.wso2.carbon.webapp.mgt

## Class WebappsConstants

- java.lang.Object
- - org.wso2.carbon.webapp.mgt.WebappsConstants

-     public final class WebappsConstants
      extends Object

  Web Application Constants

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WebappsConstants.ApplicationOpType`
    `static class` | `WebappsConstants.WebappState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALL_WEBAPP_FILTER_PROP`
    `static String` | `APP_FILE_NAME`
    `static String` | `ATT_EXCLUDES`
    `static String` | `CARBON_HOME`
    `static String` | `DEFAULT_VERSION`
    `static String` | `DEFAULT_VERSION_STRING`
    `static String` | `ELE_CLASSPATH`
    `static String` | `ELE_DELEGATED_ENVIRONMENTS`
    `static String` | `ELE_DELEGATED_PACKAGES`
    `static String` | `ELE_DELEGATED_RESOURCES`
    `static String` | `ELE_ENVIRONMENTS`
    `static String` | `ELE_EXCLUSIVE_ENVIRONMENTS`
    `static String` | `ELE_NAME`
    `static String` | `ELE_PARENT_FIRST`
    `static String` | `ENABLE_BAM_STATISTICS`
    `static String` | `ENVIRONMENTS_SPILIT_CHAR`
    `static String` | `EXCLUDES_MERGE_POLICY_INTERSECT`
    `static String` | `EXCLUDES_MERGE_POLICY_UNION`
    `static String` | `FAULTY_WEBAPP`
    `static String` | `FWD_SLASH_REPLACEMENT`
    `static String` | `JAGGERY_APPS_PREFIX`
    `static String` | `JAGGERY_WEBAPP_FILTER_PROP`
    `static String` | `JAGGERY_WEBAPP_REPO`
    `static String` | `JAX_WEBAPP_FILTER_PROP`
    `static String` | `JAX_WEBAPPS_PREFIX`
    `static int` | `KEEP_DEFAULT_VERSION_META_DATA_STRATEGY`
    `static String` | `KEEP_WEBAPP_METADATA_HISTORY_PARAM`
    `static int` | `MAX_DEPTH`
    `static String` | `TOMCAT_GENERIC_WEBAPP_DEPLOYER`
    `static String` | `TOMCAT_JAGGERY_WEBAPP_DEPLOYER`
    `static int` | `VALVE_INDEX`
    `static String` | `VERSION_MARKER`
    `static String` | `WEB_APP_DEFAULT_VERSION_SUPPORT`
    `static String` | `WEB_APP_VERSION_DEFAULT_WEBAPP`
    `static String` | `WEBAPP_DEPLOYMENT_FOLDER`
    `static String` | `WEBAPP_EXTENSION`
    `static String` | `WEBAPP_FILTER` This is to filter out custom webapp types.
    `static String` | `WEBAPP_FILTER_PROP`
    `static String` | `WEBAPP_GROUP_METADATA_DIR`
    `static String` | `WEBAPP_INFO_JSP_PAGE`
    `static String` | `WEBAPP_METADATA_BASE_DIR`
    `static String` | `WEBAPP_METADATA_DIR`
    `static String` | `WEBAPP_PREFIX`
    `static String` | `WEBAPP_RESOURCE_PATH_ROOT`
    `static String` | `WEBAPP_STATUS`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WEBAPP_PREFIX

          public static final String WEBAPP_PREFIX

      See Also:
        Constant Field Values

    - #### WEBAPP_DEPLOYMENT_FOLDER

          public static final String WEBAPP_DEPLOYMENT_FOLDER

      See Also:
        Constant Field Values

    - #### WEBAPP_EXTENSION

          public static final String WEBAPP_EXTENSION

      See Also:
        Constant Field Values

    - #### WEBAPP_INFO_JSP_PAGE

          public static final String WEBAPP_INFO_JSP_PAGE

      See Also:
        Constant Field Values

    - #### MAX_DEPTH

          public static final int MAX_DEPTH

      See Also:
        Constant Field Values

    - #### ALL_WEBAPP_FILTER_PROP

          public static final String ALL_WEBAPP_FILTER_PROP

      See Also:
        Constant Field Values

    - #### WEBAPP_FILTER_PROP

          public static final String WEBAPP_FILTER_PROP

      See Also:
        Constant Field Values

    - #### JAX_WEBAPP_FILTER_PROP

          public static final String JAX_WEBAPP_FILTER_PROP

      See Also:
        Constant Field Values

    - #### JAGGERY_WEBAPP_FILTER_PROP

          public static final String JAGGERY_WEBAPP_FILTER_PROP

      See Also:
        Constant Field Values

    - #### JAGGERY_WEBAPP_REPO

          public static final String JAGGERY_WEBAPP_REPO

      See Also:
        Constant Field Values

    - #### VALVE_INDEX

          public static final int VALVE_INDEX

      See Also:
        Constant Field Values

    - #### JAGGERY_APPS_PREFIX

          public static final String JAGGERY_APPS_PREFIX

      See Also:
        Constant Field Values

    - #### JAX_WEBAPPS_PREFIX

          public static final String JAX_WEBAPPS_PREFIX

      See Also:
        Constant Field Values

    - #### APP_FILE_NAME

          public static final String APP_FILE_NAME

      See Also:
        Constant Field Values

    - #### TOMCAT_GENERIC_WEBAPP_DEPLOYER

          public static final String TOMCAT_GENERIC_WEBAPP_DEPLOYER

      See Also:
        Constant Field Values

    - #### TOMCAT_JAGGERY_WEBAPP_DEPLOYER

          public static final String TOMCAT_JAGGERY_WEBAPP_DEPLOYER

      See Also:
        Constant Field Values

    - #### WEBAPP_METADATA_DIR

          public static final String WEBAPP_METADATA_DIR

    - #### WEBAPP_METADATA_BASE_DIR

          public static final String WEBAPP_METADATA_BASE_DIR

      See Also:
        Constant Field Values

    - #### WEBAPP_GROUP_METADATA_DIR

          public static final String WEBAPP_GROUP_METADATA_DIR

    - #### ENABLE_BAM_STATISTICS

          public static final String ENABLE_BAM_STATISTICS

      See Also:
        Constant Field Values

    - #### FAULTY_WEBAPP

          public static final String FAULTY_WEBAPP

      See Also:
        Constant Field Values

    - #### WEBAPP_FILTER

          public static final String WEBAPP_FILTER

      This is to filter out custom webapp types. If a custom webapp deployer is added, it should set this as a property to filer out the custom type.
      See Also:
        Constant Field Values

    - #### FWD_SLASH_REPLACEMENT

          public static final String FWD_SLASH_REPLACEMENT

      See Also:
        Constant Field Values

    - #### VERSION_MARKER

          public static final String VERSION_MARKER

      See Also:
        Constant Field Values

    - #### DEFAULT_VERSION

          public static final String DEFAULT_VERSION

      See Also:
        Constant Field Values

    - #### DEFAULT_VERSION_STRING

          public static final String DEFAULT_VERSION_STRING

      See Also:
        Constant Field Values

    - #### WEB_APP_DEFAULT_VERSION_SUPPORT

          public static final String WEB_APP_DEFAULT_VERSION_SUPPORT

      See Also:
        Constant Field Values

    - #### WEB_APP_VERSION_DEFAULT_WEBAPP

          public static final String WEB_APP_VERSION_DEFAULT_WEBAPP

      See Also:
        Constant Field Values

    - #### KEEP_WEBAPP_METADATA_HISTORY_PARAM

          public static final String KEEP_WEBAPP_METADATA_HISTORY_PARAM

      See Also:
        Constant Field Values

    - #### KEEP_DEFAULT_VERSION_META_DATA_STRATEGY

          public static final int KEEP_DEFAULT_VERSION_META_DATA_STRATEGY

      See Also:
        Constant Field Values

    - #### CARBON_HOME

          public static final String CARBON_HOME

      See Also:
        Constant Field Values

    - #### ELE_PARENT_FIRST

          public static final String ELE_PARENT_FIRST

      See Also:
        Constant Field Values

    - #### ELE_ENVIRONMENTS

          public static final String ELE_ENVIRONMENTS

      See Also:
        Constant Field Values

    - #### ATT_EXCLUDES

          public static final String ATT_EXCLUDES

      See Also:
        Constant Field Values

    - #### ELE_NAME

          public static final String ELE_NAME

      See Also:
        Constant Field Values

    - #### ELE_DELEGATED_PACKAGES

          public static final String ELE_DELEGATED_PACKAGES

      See Also:
        Constant Field Values

    - #### ELE_DELEGATED_RESOURCES

          public static final String ELE_DELEGATED_RESOURCES

      See Also:
        Constant Field Values

    - #### ELE_DELEGATED_ENVIRONMENTS

          public static final String ELE_DELEGATED_ENVIRONMENTS

      See Also:
        Constant Field Values

    - #### ELE_EXCLUSIVE_ENVIRONMENTS

          public static final String ELE_EXCLUSIVE_ENVIRONMENTS

      See Also:
        Constant Field Values

    - #### ELE_CLASSPATH

          public static final String ELE_CLASSPATH

      See Also:
        Constant Field Values

    - #### EXCLUDES_MERGE_POLICY_UNION

          public static final String EXCLUDES_MERGE_POLICY_UNION

      See Also:
        Constant Field Values

    - #### EXCLUDES_MERGE_POLICY_INTERSECT

          public static final String EXCLUDES_MERGE_POLICY_INTERSECT

      See Also:
        Constant Field Values

    - #### ENVIRONMENTS_SPILIT_CHAR

          public static final String ENVIRONMENTS_SPILIT_CHAR

      See Also:
        Constant Field Values

    - #### WEBAPP_RESOURCE_PATH_ROOT

          public static final String WEBAPP_RESOURCE_PATH_ROOT

      See Also:
        Constant Field Values

    - #### WEBAPP_STATUS

          public static final String WEBAPP_STATUS

      See Also:
        Constant Field Values

Copyright © 2017 WSO2. All rights reserved.